#include "NullExperiment.h"

namespace Teem
{
	// make sure the experiment will be available in experiment list
	REGISTER_EXPERIMENT(NullExperiment);
	
	void NullExperiment::setupDecoders(GenotypeDecoders &decoders)
	{
		// Here come the code to setp the GenotypeDecoders, like setting the number of I/O, etc...
	}
	
	void NullExperiment::compute(GenotypeDecoders &decoders, GenerationalPopulation &individuals, unsigned gen, unsigned ind, EvaluationMode mode)
	{
		// Here come the code of evaluating the individuals, whose genomes are decoded using decoders.
		
		// Fitness has to be returned in individuals
		
		for (size_t i=0; i<individuals.size(); i++)
		{
			individuals[i].fitness = 0;
		}
	}
}
